
Redmine - Defect #16321

Custom Fields with "Link values to URL" set are displayed as escaped html in email

2014-03-12 03:59 - Todd Hambley

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 2.5.1   

Resolution: Fixed Affected version: 2.5.0

Description

It looks like the function formatted_value in source:/trunk/lib/redmine/field_format.rb accepts a parameter html, but never uses it. 

Custom fields with a url pattern present are always returned as links.

Example Custom Field "External Link":

Format: Integer

Name: External Link

Link values to URL: https://support.example.com/tasks/%value%

Display in notification email:

External Link: <a href="https://support.example.com/tasks/26215">26215</a>

 Environment:

  Redmine version                2.5.0.stable.12954

  Ruby version                   1.9.3-p448 (2013-06-27) [i686-linux]

  Rails version                  3.2.17

  Environment                    production

  Database adapter               Mysql2

Associated revisions

Revision 12967 - 2014-03-15 11:21 - Jean-Philippe Lang

Fixed that integer custom fields with "Link values to URL" set are displayed as escaped html in text email (#16321).

Revision 12978 - 2014-03-17 09:29 - Jean-Philippe Lang

Merged r12967 (#16321).

History

#1 - 2014-03-14 02:58 - Todd Hambley

- File field_format.rb.patch added

Attached patch uses html parameter to produce expected output.

field_format.rb    (revision 12954)

#2 - 2014-03-15 11:21 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.5.1

- Resolution set to Fixed

Fixed in r12967, thanks for pointing this out.

#3 - 2014-03-17 09:29 - Jean-Philippe Lang
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redmine/field_format.rb
https://www.redmine.org/projects/redmine/repository/svn/revisions/12967


- Status changed from Resolved to Closed

Merged.

Files

field_format.rb.patch 644 Bytes 2014-03-14 Todd Hambley
